Skip to main content
POST
/
customers
/
{customer_id}
/
activities
/
notes
Create Note
curl --request POST \
  --url https://api.{your-broker}.slate-labs.com/customers/{customer_id}/activities/notes \
  --header 'Content-Type: application/json' \
  --data '
{
  "body": "<string>"
}
'
{
  "id": 123,
  "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "type": "<string>",
  "body": "<string>",
  "event_metadata": null,
  "task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_deleted": true,
  "deleted_at": "2023-11-07T05:31:56Z",
  "edited_at": "2023-11-07T05:31:56Z",
  "edit_count": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "agent_name": "<string>"
}

Path Parameters

customer_id
string<uuid>
required

Body

application/json
body
string
required
Minimum string length: 1

Response

Successful Response

id
integer
required
customer_id
string<uuid>
required
agent_id
string<uuid> | null
required
type
string
required
body
string | null
required
event_metadata
unknown
required
task_id
string<uuid> | null
required
is_deleted
boolean
required
deleted_at
string<date-time> | null
required
edited_at
string<date-time> | null
required
edit_count
integer
required
created_at
string<date-time>
required
agent_name
string | null